### Method

# GObject ParamSpec set_qdata

#### Declaration [src]

    void
    g_param_spec_set_qdata (
      GParamSpec* pspec,
      GQuark quark,
      gpointer data
    )

#### Description [src]

Sets an opaque, named pointer on a `GParamSpec`. The name is specified through a `GQuark` (retrieved e.g. via g_quark_from_static_string()), and the pointer can be gotten back from the `pspec` with g_param_spec_get_qdata(). Setting a previously set user data pointer, overrides (frees) the old pointer set, using `NULL` as pointer essentially removes the data stored.

#### Parameters

`quark`

  Type: `GQuark`

  A `GQuark`, naming the user data pointer.

`data`

  Type: `gpointer`

  An opaque user data pointer.

  The argument can be `NULL`.
  The data is owned by the caller of the method.